Subject: Re: question (possibly) on git subtree/submodules

From: Chris Packham <[email-masked]>
Date: Fri, 23 Jul 2010 11:35:10 -0700

On 23/07/10 10:18, Jonathan Nieder wrote:
> Chris Packham wrote:
> 
>> The short answer is no. Nothing git has currently will let you clone a
>> subset of files. Shallow clones exist if you want all the code and the
>> last X changes. The reason for this is git, like other DVCSes, tracks
>> _changes_ rather than _files_ this is something that took me a while to
>> get my head around when I was learning git.
> 
> Not quite as cut-and-dried as it may sound, I think.  Internally git
> compresses blobs (and other objects) by comparing them to other ones,
> but I do not think that is what you are talking about, and I do not
> see what that has to do with partial clones.  In fact, the main reason
> I can see that partial clones (in the sense of getting all metadata
> but not all blobs) are not implemented is that no one has written code
> for it yet.
> 
> Here is a thread on related work[1].  Maybe someone else can find a
> more pertinent link.
> 

OK I think I must have read to much into the "tracks changes" part,
thanks for pointing it out.